
Core - Bug # 55877

Status: Closed Priority: Should have
Author: Pascal Dürsteler Category: Extension Manager
Created: 2014-02-11 Assigned To:
Updated: 2014-09-21 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: Property ListUtility::$objectManager does not exist 
Description

Using 6.2.0beta5, I get the following error message when trying to use the extension manager:

Property TYPO3\CMS\Extensionmanager\Utility\ListUtility::$objectManager does not exist 

This seems to belong to beta5, since I don't have the problem on a beta4 setup.

Related issues:
related to Core - Story # 54991: Improve caching framework by introducing groups Resolved 2014-01-15

History
#1 - 2014-02-11 16:28 - Christian Clemens

I can confirm this...

#2 - 2014-02-11 19:18 - Oliver Hader
- Status changed from New to Accepted

I can confirm this...

#3 - 2014-02-11 19:26 - Oliver Hader
- File clearCache.png added

Since the last beta version, the "flush all caches" button in the backend does not consider the internal system caches (it was different in earlier TYPO3
CMS versions).
However, due to performance reasons the caches have been separated to runtime caches and internal system caches - system caches are not cleared
automatically.

Solution
Enter the Install Tool, open "Important Actions" section and click the "Clear all Caches" button there
#4 - 2014-02-11 19:27 - Oliver Hader
- File deleted (clearCache.png)

#5 - 2014-02-11 19:27 - Oliver Hader
- File clearCache.png added

#6 - 2014-02-11 19:28 - Oliver Hader
- Status changed from Accepted to Needs Feedback
- Assigned To set to Oliver Hader
- Priority changed from Must have to Should have
- % Done changed from 0 to 50
- PHP Version set to 5.3
- Complexity set to easy

Please let me know whether the round-trip in the Install Tool solved your problem. Thanks in advance!

#7 - 2014-02-11 20:49 - Christian Clemens

Thank you for your quick response! I've tried clear caches as described, but install tool detected many incompatible extension. I don't think, they are
really incompatible, because I had no problems with them, also not under 6.2beta5. And: sometimes 1 extension was mentioned, sometimes 3
extension.

Now I have downgraded to 6.2beta4, but extension manager does still not work. Message appears is now:

Property TYPO3\CMS\Extensionmanager\Utility\ListUtility::$packageManager does not exist

ReflectionException thrown in file
/is/htdocs/wp11035062_LVJ7Z06IPY/www/typo3_src-6.2.0beta4/typo3/sysext/extbase/Classes/Reflection/PropertyReflection.php in line 47.

If I remember correctly, I've got the same message before downgrading and after clearing caches as described.

Do you have any idea how to get the extension manager to work again?

#8 - 2014-02-12 08:50 - Pascal Dürsteler

Hi Oli

Yes, that roundtrip solved the problem, thanks.

#9 - 2014-05-19 17:31 - Christian Clemens

I have the same problem again after upgrading from 6.2beta4 to 6.2.2. "Clear all Caches" in install tool does not solve the problem for me - the error
message still apears.

But: I'm using "APC cache backend" instead of "Database cache backend". If I switch back to "Database cache backend", then the error suddenly
dissappears.

The solution for this problem is: writing a small php file which clears the APC-Cache:
<?php
apc_clear_cache ();
apc_clear_cache('user'); 
apc_clear_cache('opcode');
?>

I think, this should be inserted in the TYPO3 code for "Clear all Caches" in install tool, too.

#10 - 2014-05-20 09:15 - Christian Clemens

Ah, there is already a button "Clear PHP Opcode Cache" below the button "Clear all Caches". I have not tested this button yet, but it will solve the
problem, too, I think ;-)

#11 - 2014-09-19 15:44 - Alexander Opitz

Hi,

was this issue fixed with TYPO3 6.2.4 or does it still exists?

Or better, does the implemented "Clear PHP opcode cache" button helps?

#12 - 2014-09-19 16:02 - Pascal Dürsteler

Hi Alex

I'd say so. At least in the latest two 6.2.4 setups I had, I didn't encounter that one.

#13 - 2014-09-21 16:21 - Christian Clemens

With the "Clear PHP opcode cache" button everything is fine!

#14 - 2014-09-21 19:13 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Assigned To deleted (Oliver Hader)
- Target version deleted (6.2.0)

Thanks for your feedback.
